#include "cdefs.h"
#include "cstring.h"
void object_Dec_ref(cptr object_self);
extern cptr sstring_methods[meth_max];
cptr sstring_stalloc(cptr sstring_self, cstring sstring_strbuf);

cptr strpool_str_21;
cptr strpool_str_73;
cptr strpool_str_115;
cptr strpool_str_19;
cptr strpool_str_94;
cptr strpool_str_111;
cptr strpool_str_35;
cptr strpool_str_34;
cptr strpool_str_27;
cptr strpool_str_123;
cptr strpool_str_84;
cptr strpool_str_110;
cptr strpool_str_154;
cptr strpool_str_3;
cptr strpool_str_106;
cptr strpool_str_149;
cptr strpool_str_156;
cptr strpool_str_66;
cptr strpool_str_107;
cptr strpool_str_20;
cptr strpool_str_26;
cptr strpool_str_69;
cptr strpool_str_33;
cptr strpool_str_82;
cptr strpool_str_117;
cptr strpool_str_65;
cptr strpool_str_50;
cptr strpool_str_12;
cptr strpool_str_164;
cptr strpool_str_13;
cptr strpool_str_42;
cptr strpool_str_10;
cptr strpool_str_41;
cptr strpool_str_43;
cptr strpool_str_15;
cptr strpool_str_137;
cptr strpool_str_130;
cptr strpool_str_166;
cptr strpool_str_45;
cptr strpool_str_112;
cptr strpool_str_163;
cptr strpool_str_140;
cptr strpool_str_170;
cptr strpool_str_16;
cptr strpool_str_138;
cptr strpool_str_134;
cptr strpool_str_72;
cptr strpool_str_58;
cptr strpool_str_48;
cptr strpool_str_32;
cptr strpool_str_145;
cptr strpool_str_79;
cptr strpool_str_2;
cptr strpool_str_167;
cptr strpool_str_162;
cptr strpool_str_141;
cptr strpool_str_114;
cptr strpool_str_1;
cptr strpool_str_146;
cptr strpool_str_60;
cptr strpool_str_14;
cptr strpool_str_93;
cptr strpool_str_100;
cptr strpool_str_62;
cptr strpool_str_54;
cptr strpool_str_161;
cptr strpool_str_159;
cptr strpool_str_37;
cptr strpool_str_70;
cptr strpool_str_36;
cptr strpool_str_144;
cptr strpool_str_46;
cptr strpool_str_71;
cptr strpool_str_29;
cptr strpool_str_103;
cptr strpool_str_6;
cptr strpool_str_39;
cptr strpool_str_135;
cptr strpool_str_40;
cptr strpool_str_44;
cptr strpool_str_121;
cptr strpool_str_113;
cptr strpool_str_83;
cptr strpool_str_78;
cptr strpool_str_76;
cptr strpool_str_9;
cptr strpool_str_109;
cptr strpool_str_168;
cptr strpool_str_124;
cptr strpool_str_92;
cptr strpool_str_108;
cptr strpool_str_74;
cptr strpool_str_31;
cptr strpool_str_7;
cptr strpool_str_165;
cptr strpool_str_8;
cptr strpool_str_139;
cptr strpool_str_64;
cptr strpool_str_126;
cptr strpool_str_87;
cptr strpool_str_24;
cptr strpool_str_125;
cptr strpool_str_59;
cptr strpool_str_22;
cptr strpool_str_91;
cptr strpool_str_25;
cptr strpool_str_160;
cptr strpool_str_104;
cptr strpool_str_68;
cptr strpool_str_51;
cptr strpool_str_23;
cptr strpool_str_136;
cptr strpool_str_127;
cptr strpool_str_89;
cptr strpool_str_90;
cptr strpool_str_75;
cptr strpool_str_56;
cptr strpool_str_169;
cptr strpool_str_52;
cptr strpool_str_129;
cptr strpool_str_47;
cptr strpool_str_142;
cptr strpool_str_30;
cptr strpool_str_17;
cptr strpool_str_148;
cptr strpool_str_122;
cptr strpool_str_120;
cptr strpool_str_128;
cptr strpool_str_158;
cptr strpool_str_151;
cptr strpool_str_150;
cptr strpool_str_116;
cptr strpool_str_80;
cptr strpool_str_67;
cptr strpool_str_152;
cptr strpool_str_132;
cptr strpool_str_63;
cptr strpool_str_57;
cptr strpool_str_4;
cptr strpool_str_147;
cptr strpool_str_133;
cptr strpool_str_49;
cptr strpool_str_5;
cptr strpool_str_53;
cptr strpool_str_153;
cptr strpool_str_99;
cptr strpool_str_55;
cptr strpool_str_28;
cptr strpool_str_155;
cptr strpool_str_157;
cptr strpool_str_98;
cptr strpool_str_11;
cptr strpool_str_38;
cptr strpool_str_105;
cptr strpool_str_86;
cptr strpool_str_61;
cptr strpool_str_143;
cptr strpool_str_101;
cptr strpool_str_102;
cptr strpool_str_119;
cptr strpool_str_77;
cptr strpool_str_85;
cptr strpool_str_118;
cptr strpool_str_88;
cptr strpool_str_81;
cptr strpool_str_131;
cptr strpool_str_97;
cptr strpool_str_95;
cptr strpool_str_96;
cptr strpool_str_18;

void init_strpool(){
  strpool_str_21 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_21[0] = sstring_methods;
  strpool_str_73 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_73[0] = sstring_methods;
  strpool_str_115 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_115[0] = sstring_methods;
  strpool_str_19 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_19[0] = sstring_methods;
  strpool_str_94 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_94[0] = sstring_methods;
  strpool_str_111 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_111[0] = sstring_methods;
  strpool_str_35 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_35[0] = sstring_methods;
  strpool_str_34 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_34[0] = sstring_methods;
  strpool_str_27 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_27[0] = sstring_methods;
  strpool_str_123 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_123[0] = sstring_methods;
  strpool_str_84 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_84[0] = sstring_methods;
  strpool_str_110 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_110[0] = sstring_methods;
  strpool_str_154 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_154[0] = sstring_methods;
  strpool_str_3 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_3[0] = sstring_methods;
  strpool_str_106 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_106[0] = sstring_methods;
  strpool_str_149 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_149[0] = sstring_methods;
  strpool_str_156 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_156[0] = sstring_methods;
  strpool_str_66 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_66[0] = sstring_methods;
  strpool_str_107 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_107[0] = sstring_methods;
  strpool_str_20 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_20[0] = sstring_methods;
  strpool_str_26 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_26[0] = sstring_methods;
  strpool_str_69 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_69[0] = sstring_methods;
  strpool_str_33 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_33[0] = sstring_methods;
  strpool_str_82 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_82[0] = sstring_methods;
  strpool_str_117 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_117[0] = sstring_methods;
  strpool_str_65 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_65[0] = sstring_methods;
  strpool_str_50 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_50[0] = sstring_methods;
  strpool_str_12 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_12[0] = sstring_methods;
  strpool_str_164 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_164[0] = sstring_methods;
  strpool_str_13 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_13[0] = sstring_methods;
  strpool_str_42 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_42[0] = sstring_methods;
  strpool_str_10 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_10[0] = sstring_methods;
  strpool_str_41 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_41[0] = sstring_methods;
  strpool_str_43 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_43[0] = sstring_methods;
  strpool_str_15 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_15[0] = sstring_methods;
  strpool_str_137 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_137[0] = sstring_methods;
  strpool_str_130 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_130[0] = sstring_methods;
  strpool_str_166 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_166[0] = sstring_methods;
  strpool_str_45 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_45[0] = sstring_methods;
  strpool_str_112 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_112[0] = sstring_methods;
  strpool_str_163 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_163[0] = sstring_methods;
  strpool_str_140 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_140[0] = sstring_methods;
  strpool_str_170 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_170[0] = sstring_methods;
  strpool_str_16 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_16[0] = sstring_methods;
  strpool_str_138 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_138[0] = sstring_methods;
  strpool_str_134 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_134[0] = sstring_methods;
  strpool_str_72 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_72[0] = sstring_methods;
  strpool_str_58 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_58[0] = sstring_methods;
  strpool_str_48 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_48[0] = sstring_methods;
  strpool_str_32 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_32[0] = sstring_methods;
  strpool_str_145 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_145[0] = sstring_methods;
  strpool_str_79 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_79[0] = sstring_methods;
  strpool_str_2 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_2[0] = sstring_methods;
  strpool_str_167 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_167[0] = sstring_methods;
  strpool_str_162 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_162[0] = sstring_methods;
  strpool_str_141 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_141[0] = sstring_methods;
  strpool_str_114 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_114[0] = sstring_methods;
  strpool_str_1 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_1[0] = sstring_methods;
  strpool_str_146 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_146[0] = sstring_methods;
  strpool_str_60 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_60[0] = sstring_methods;
  strpool_str_14 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_14[0] = sstring_methods;
  strpool_str_93 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_93[0] = sstring_methods;
  strpool_str_100 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_100[0] = sstring_methods;
  strpool_str_62 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_62[0] = sstring_methods;
  strpool_str_54 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_54[0] = sstring_methods;
  strpool_str_161 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_161[0] = sstring_methods;
  strpool_str_159 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_159[0] = sstring_methods;
  strpool_str_37 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_37[0] = sstring_methods;
  strpool_str_70 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_70[0] = sstring_methods;
  strpool_str_36 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_36[0] = sstring_methods;
  strpool_str_144 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_144[0] = sstring_methods;
  strpool_str_46 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_46[0] = sstring_methods;
  strpool_str_71 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_71[0] = sstring_methods;
  strpool_str_29 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_29[0] = sstring_methods;
  strpool_str_103 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_103[0] = sstring_methods;
  strpool_str_6 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_6[0] = sstring_methods;
  strpool_str_39 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_39[0] = sstring_methods;
  strpool_str_135 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_135[0] = sstring_methods;
  strpool_str_40 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_40[0] = sstring_methods;
  strpool_str_44 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_44[0] = sstring_methods;
  strpool_str_121 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_121[0] = sstring_methods;
  strpool_str_113 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_113[0] = sstring_methods;
  strpool_str_83 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_83[0] = sstring_methods;
  strpool_str_78 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_78[0] = sstring_methods;
  strpool_str_76 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_76[0] = sstring_methods;
  strpool_str_9 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_9[0] = sstring_methods;
  strpool_str_109 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_109[0] = sstring_methods;
  strpool_str_168 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_168[0] = sstring_methods;
  strpool_str_124 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_124[0] = sstring_methods;
  strpool_str_92 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_92[0] = sstring_methods;
  strpool_str_108 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_108[0] = sstring_methods;
  strpool_str_74 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_74[0] = sstring_methods;
  strpool_str_31 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_31[0] = sstring_methods;
  strpool_str_7 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_7[0] = sstring_methods;
  strpool_str_165 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_165[0] = sstring_methods;
  strpool_str_8 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_8[0] = sstring_methods;
  strpool_str_139 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_139[0] = sstring_methods;
  strpool_str_64 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_64[0] = sstring_methods;
  strpool_str_126 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_126[0] = sstring_methods;
  strpool_str_87 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_87[0] = sstring_methods;
  strpool_str_24 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_24[0] = sstring_methods;
  strpool_str_125 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_125[0] = sstring_methods;
  strpool_str_59 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_59[0] = sstring_methods;
  strpool_str_22 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_22[0] = sstring_methods;
  strpool_str_91 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_91[0] = sstring_methods;
  strpool_str_25 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_25[0] = sstring_methods;
  strpool_str_160 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_160[0] = sstring_methods;
  strpool_str_104 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_104[0] = sstring_methods;
  strpool_str_68 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_68[0] = sstring_methods;
  strpool_str_51 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_51[0] = sstring_methods;
  strpool_str_23 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_23[0] = sstring_methods;
  strpool_str_136 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_136[0] = sstring_methods;
  strpool_str_127 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_127[0] = sstring_methods;
  strpool_str_89 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_89[0] = sstring_methods;
  strpool_str_90 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_90[0] = sstring_methods;
  strpool_str_75 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_75[0] = sstring_methods;
  strpool_str_56 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_56[0] = sstring_methods;
  strpool_str_169 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_169[0] = sstring_methods;
  strpool_str_52 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_52[0] = sstring_methods;
  strpool_str_129 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_129[0] = sstring_methods;
  strpool_str_47 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_47[0] = sstring_methods;
  strpool_str_142 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_142[0] = sstring_methods;
  strpool_str_30 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_30[0] = sstring_methods;
  strpool_str_17 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_17[0] = sstring_methods;
  strpool_str_148 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_148[0] = sstring_methods;
  strpool_str_122 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_122[0] = sstring_methods;
  strpool_str_120 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_120[0] = sstring_methods;
  strpool_str_128 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_128[0] = sstring_methods;
  strpool_str_158 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_158[0] = sstring_methods;
  strpool_str_151 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_151[0] = sstring_methods;
  strpool_str_150 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_150[0] = sstring_methods;
  strpool_str_116 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_116[0] = sstring_methods;
  strpool_str_80 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_80[0] = sstring_methods;
  strpool_str_67 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_67[0] = sstring_methods;
  strpool_str_152 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_152[0] = sstring_methods;
  strpool_str_132 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_132[0] = sstring_methods;
  strpool_str_63 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_63[0] = sstring_methods;
  strpool_str_57 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_57[0] = sstring_methods;
  strpool_str_4 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_4[0] = sstring_methods;
  strpool_str_147 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_147[0] = sstring_methods;
  strpool_str_133 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_133[0] = sstring_methods;
  strpool_str_49 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_49[0] = sstring_methods;
  strpool_str_5 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_5[0] = sstring_methods;
  strpool_str_53 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_53[0] = sstring_methods;
  strpool_str_153 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_153[0] = sstring_methods;
  strpool_str_99 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_99[0] = sstring_methods;
  strpool_str_55 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_55[0] = sstring_methods;
  strpool_str_28 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_28[0] = sstring_methods;
  strpool_str_155 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_155[0] = sstring_methods;
  strpool_str_157 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_157[0] = sstring_methods;
  strpool_str_98 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_98[0] = sstring_methods;
  strpool_str_11 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_11[0] = sstring_methods;
  strpool_str_38 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_38[0] = sstring_methods;
  strpool_str_105 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_105[0] = sstring_methods;
  strpool_str_86 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_86[0] = sstring_methods;
  strpool_str_61 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_61[0] = sstring_methods;
  strpool_str_143 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_143[0] = sstring_methods;
  strpool_str_101 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_101[0] = sstring_methods;
  strpool_str_102 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_102[0] = sstring_methods;
  strpool_str_119 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_119[0] = sstring_methods;
  strpool_str_77 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_77[0] = sstring_methods;
  strpool_str_85 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_85[0] = sstring_methods;
  strpool_str_118 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_118[0] = sstring_methods;
  strpool_str_88 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_88[0] = sstring_methods;
  strpool_str_81 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_81[0] = sstring_methods;
  strpool_str_131 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_131[0] = sstring_methods;
  strpool_str_97 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_97[0] = sstring_methods;
  strpool_str_95 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_95[0] = sstring_methods;
  strpool_str_96 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_96[0] = sstring_methods;
  strpool_str_18 = (cptr)mem_malloc((cint)(sstring_methods[0]));
  strpool_str_18[0] = sstring_methods;
}
 

void strpool_init(){
  sstring_stalloc(strpool_str_21, "\\bel");
  sstring_stalloc(strpool_str_73, "Niterator");
  sstring_stalloc(strpool_str_115, "insert");
  sstring_stalloc(strpool_str_19, "Float");
  sstring_stalloc(strpool_str_94, "ascending");
  sstring_stalloc(strpool_str_111, "frac");
  sstring_stalloc(strpool_str_35, "Pstring");
  sstring_stalloc(strpool_str_34, "Sstring");
  sstring_stalloc(strpool_str_27, "\\esc");
  sstring_stalloc(strpool_str_123, "mklist");
  sstring_stalloc(strpool_str_84, "Undefined first parameter");
  sstring_stalloc(strpool_str_110, "fmap");
  sstring_stalloc(strpool_str_154, "<=");
  sstring_stalloc(strpool_str_3, "False assertion.");
  sstring_stalloc(strpool_str_106, "eval");
  sstring_stalloc(strpool_str_149, "upcase");
  sstring_stalloc(strpool_str_156, ">=");
  sstring_stalloc(strpool_str_66, "list of ");
  sstring_stalloc(strpool_str_107, "even");
  sstring_stalloc(strpool_str_20, "\\nul");
  sstring_stalloc(strpool_str_26, "\\sub");
  sstring_stalloc(strpool_str_69, "Boolset");
  sstring_stalloc(strpool_str_33, "");
  sstring_stalloc(strpool_str_82, "Undefined procedure: ");
  sstring_stalloc(strpool_str_117, "last");
  sstring_stalloc(strpool_str_65, "Listset");
  sstring_stalloc(strpool_str_50, "{}");
  sstring_stalloc(strpool_str_12, " ");
  sstring_stalloc(strpool_str_164, "number");
  sstring_stalloc(strpool_str_13, "(");
  sstring_stalloc(strpool_str_42, "Plist");
  sstring_stalloc(strpool_str_10, ",");
  sstring_stalloc(strpool_str_41, "Slist");
  sstring_stalloc(strpool_str_43, "Rlist");
  sstring_stalloc(strpool_str_15, ")");
  sstring_stalloc(strpool_str_137, "sign");
  sstring_stalloc(strpool_str_130, "prod");
  sstring_stalloc(strpool_str_166, "string");
  sstring_stalloc(strpool_str_45, "Ulist");
  sstring_stalloc(strpool_str_112, "hd");
  sstring_stalloc(strpool_str_163, "entity");
  sstring_stalloc(strpool_str_140, "some");
  sstring_stalloc(strpool_str_170, "Mset");
  sstring_stalloc(strpool_str_16, "Abstract");
  sstring_stalloc(strpool_str_138, "size");
  sstring_stalloc(strpool_str_134, "rest");
  sstring_stalloc(strpool_str_72, "ERROR: target variable type wrong");
  sstring_stalloc(strpool_str_58, "Srset");
  sstring_stalloc(strpool_str_48, " by ");
  sstring_stalloc(strpool_str_32, "Set");
  sstring_stalloc(strpool_str_145, "trim");
  sstring_stalloc(strpool_str_79, "Identifier");
  sstring_stalloc(strpool_str_2, "standard");
  sstring_stalloc(strpool_str_167, "character");
  sstring_stalloc(strpool_str_162, "undefined");
  sstring_stalloc(strpool_str_141, "sort");
  sstring_stalloc(strpool_str_114, "indexed");
  sstring_stalloc(strpool_str_1, "Object");
  sstring_stalloc(strpool_str_146, "trim_left");
  sstring_stalloc(strpool_str_60, "Map");
  sstring_stalloc(strpool_str_14, ", ");
  sstring_stalloc(strpool_str_93, "all_but_last");
  sstring_stalloc(strpool_str_100, "delete_first");
  sstring_stalloc(strpool_str_62, " to ");
  sstring_stalloc(strpool_str_54, "+");
  sstring_stalloc(strpool_str_161, "true");
  sstring_stalloc(strpool_str_159, "type");
  sstring_stalloc(strpool_str_37, "Function");
  sstring_stalloc(strpool_str_70, "Variable");
  sstring_stalloc(strpool_str_36, "Slicestr");
  sstring_stalloc(strpool_str_144, "tl");
  sstring_stalloc(strpool_str_46, "Slicelst");
  sstring_stalloc(strpool_str_71, "ERROR: assignment to a constant");
  sstring_stalloc(strpool_str_29, "\\255");
  sstring_stalloc(strpool_str_103, "descending");
  sstring_stalloc(strpool_str_6, "String");
  sstring_stalloc(strpool_str_39, "[");
  sstring_stalloc(strpool_str_135, "reverse");
  sstring_stalloc(strpool_str_40, "]");
  sstring_stalloc(strpool_str_44, "..");
  sstring_stalloc(strpool_str_121, "merge");
  sstring_stalloc(strpool_str_113, "index");
  sstring_stalloc(strpool_str_83, "ERROR: Redeclaration of ");
  sstring_stalloc(strpool_str_78, "Namelist");
  sstring_stalloc(strpool_str_76, "Selector");
  sstring_stalloc(strpool_str_9, "Unprintable");
  sstring_stalloc(strpool_str_109, "floor");
  sstring_stalloc(strpool_str_168, "boolean");
  sstring_stalloc(strpool_str_124, "mkmap");
  sstring_stalloc(strpool_str_92, "abs");
  sstring_stalloc(strpool_str_108, "first");
  sstring_stalloc(strpool_str_74, "Iterator");
  sstring_stalloc(strpool_str_31, "Entset");
  sstring_stalloc(strpool_str_7, "Character");
  sstring_stalloc(strpool_str_165, "integer");
  sstring_stalloc(strpool_str_8, "Undefined");
  sstring_stalloc(strpool_str_139, "slice");
  sstring_stalloc(strpool_str_64, "set of ");
  sstring_stalloc(strpool_str_126, "mkset");
  sstring_stalloc(strpool_str_87, "Exprfunc");
  sstring_stalloc(strpool_str_24, "\\lf");
  sstring_stalloc(strpool_str_125, "mknum");
  sstring_stalloc(strpool_str_59, "Mapset");
  sstring_stalloc(strpool_str_22, "\\bs");
  sstring_stalloc(strpool_str_91, "M");
  sstring_stalloc(strpool_str_25, "\\cr");
  sstring_stalloc(strpool_str_160, "false");
  sstring_stalloc(strpool_str_104, "div");
  sstring_stalloc(strpool_str_68, "Number");
  sstring_stalloc(strpool_str_51, "{");
  sstring_stalloc(strpool_str_23, "\\ht");
  sstring_stalloc(strpool_str_136, "round");
  sstring_stalloc(strpool_str_127, "mkstr");
  sstring_stalloc(strpool_str_89, "X");
  sstring_stalloc(strpool_str_90, "Y");
  sstring_stalloc(strpool_str_75, "Filter");
  sstring_stalloc(strpool_str_56, "Numset");
  sstring_stalloc(strpool_str_169, "range");
  sstring_stalloc(strpool_str_52, "}");
  sstring_stalloc(strpool_str_129, "odd");
  sstring_stalloc(strpool_str_47, "Srlist");
  sstring_stalloc(strpool_str_142, "split");
  sstring_stalloc(strpool_str_30, "List");
  sstring_stalloc(strpool_str_17, "True");
  sstring_stalloc(strpool_str_148, "union");
  sstring_stalloc(strpool_str_122, "min");
  sstring_stalloc(strpool_str_120, "max");
  sstring_stalloc(strpool_str_128, "mod");
  sstring_stalloc(strpool_str_158, "#");
  sstring_stalloc(strpool_str_151, "*");
  sstring_stalloc(strpool_str_150, "-");
  sstring_stalloc(strpool_str_116, "int");
  sstring_stalloc(strpool_str_80, "Undefined function: ");
  sstring_stalloc(strpool_str_67, "Entity");
  sstring_stalloc(strpool_str_152, "/");
  sstring_stalloc(strpool_str_132, "rem");
  sstring_stalloc(strpool_str_63, "Powset");
  sstring_stalloc(strpool_str_57, "Strset");
  sstring_stalloc(strpool_str_4, "Boolean");
  sstring_stalloc(strpool_str_147, "trim_right");
  sstring_stalloc(strpool_str_133, "rep");
  sstring_stalloc(strpool_str_49, "Pset");
  sstring_stalloc(strpool_str_5, "Integer");
  sstring_stalloc(strpool_str_53, "Sset");
  sstring_stalloc(strpool_str_153, "<");
  sstring_stalloc(strpool_str_99, "delete");
  sstring_stalloc(strpool_str_55, "Rset");
  sstring_stalloc(strpool_str_28, "\\");
  sstring_stalloc(strpool_str_155, ">");
  sstring_stalloc(strpool_str_157, "=");
  sstring_stalloc(strpool_str_98, "concat");
  sstring_stalloc(strpool_str_11, "\n");
  sstring_stalloc(strpool_str_38, "[]");
  sstring_stalloc(strpool_str_105, "domain");
  sstring_stalloc(strpool_str_86, "ERROR: Function called as procedure");
  sstring_stalloc(strpool_str_61, "maps from ");
  sstring_stalloc(strpool_str_143, "sum");
  sstring_stalloc(strpool_str_101, "delete_last");
  sstring_stalloc(strpool_str_102, "delete_some");
  sstring_stalloc(strpool_str_119, "locase");
  sstring_stalloc(strpool_str_77, "Parameter");
  sstring_stalloc(strpool_str_85, "result");
  sstring_stalloc(strpool_str_118, "length");
  sstring_stalloc(strpool_str_88, "Lazy");
  sstring_stalloc(strpool_str_81, "Procedure");
  sstring_stalloc(strpool_str_131, "reduce");
  sstring_stalloc(strpool_str_97, "code");
  sstring_stalloc(strpool_str_95, "ceil");
  sstring_stalloc(strpool_str_96, "char");
  sstring_stalloc(strpool_str_18, "False");
}
 
void strpool_fini(){
}
